
Property changes on: .
___________________________________________________________________
Modified: svn:externals
   - framework https://source.fluidproject.org/svn/fluid/infusion/trunk/src/webapp/framework
jquery https://source.fluidproject.org/svn/fluid/infusion/trunk/src/webapp/lib/jquery/core/js

   + framework https://source.fluidproject.org/svn/fluid/infusion/trunk/src/webapp/framework
lib https://source.fluidproject.org/svn/fluid/infusion/trunk/src/webapp/lib/


Index: mccord_demo/artifact.html
===================================================================
--- mccord_demo/artifact.html	(revision 0)
+++ mccord_demo/artifact.html	(revision 0)
@@ -0,0 +1,49 @@
+<!DOCTYPE html      PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
+    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+    	
+<html xmlns="http://www.w3.org/1999/xhtml">
+  <head>
+  	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+	<title>M956.5 | Headdress | McCord Museum</title>
+	<!-- Links to the basic FSS style sheets -->
+	<link type="text/css" rel="stylesheet" media="all" href="../framework/fss/css/fss-reset.css" />
+	<link type="text/css" rel="stylesheet" media="all" href="../framework/fss/css/fss-layout.css" />
+	<link type="text/css" rel="stylesheet" media="all" href="../framework/fss/css/fss-text.css" />
+		
+	<!--  Required javascript modules for the Artifact viewer which can be replaced with the build generated file Fluid-all.js -->
+    <script type="text/javascript" src="../lib/jquery/core/js/jquery.js"></script>
+	<script type="text/javascript" src="../lib/fastXmlPull/js/fastXmlPull.js"></script>
+	<script type="text/javascript" src="../framework/core/js/Fluid.js"></script>
+	<script type="text/javascript" src="../framework/renderer/js/fluidParser.js"></script>
+	<script type="text/javascript" src="../framework/renderer/js/fluidRenderer.js"></script>
+	<script type="text/javascript" src="js/artifact.js"></script>
+  </head>
+  <body>
+	<div class="fl-container-750 fl-centered">
+		<div class="flc-artifact-header fl-container-flex">
+      		<h2 class="artifact-name">Headdress</h2>
+ 		</div>
+		<div class="flc-artifact-image">
+			<img src="M956.5_files/5090.jpg" alt="" />
+		</div>
+		<div class="flc-artifact-content fl-container-flex">
+			<br/>Anonyme - Anonymous
+			<br/>Eastern Woodlands
+			<br/>Aboriginal: Maliseet
+			<br/>1865-1900, 19th century
+			<br/>Ostrich feathers, glass beads, brass beads, brass tokens, silk ribbon, cotton
+			thread, birchbark, cardboard, metallic thread, metallic ribbon, metal braid
+			<br/>28.5 x 58 cm
+			<br/>Gift of Mr. David Ross McCord
+			<br/>M956.5
+		</div>
+		<div class="flc-artifact-details fl-container-flex">
+			<br/><br/><a href="M9565_detail.html">Description</a>
+			<br/><br/><strong>Keywords:</strong>&nbsp;<a href="http://www.mccord-museum.qc.ca/scripts/search_results.php?Lang=1&amp;keyword=6992" title="All tagged images" rel="nofollow">Headdress</a>&nbsp;(38)
+		</div>
+	</div>
+	<script type="text/javascript">
+		fluid.artifact("body");
+	</script>
+  </body>
+</html>
\ No newline at end of file
Index: mccord_demo/js/artifact.js
===================================================================
--- mccord_demo/js/artifact.js	(revision 0)
+++ mccord_demo/js/artifact.js	(revision 0)
@@ -0,0 +1,75 @@
+/*
+Copyright 2008-2009 University of Toronto
+
+Licensed under the Educational Community License (ECL), Version 2.0 or the New
+BSD license. You may not use this file except in compliance with one these
+Licenses.
+
+You may obtain a copy of the ECL 2.0 License and BSD License at
+https://source.fluidproject.org/svn/LICENSE.txt
+*/
+
+/*global jQuery*/
+/*global fluid_1_2 fluid*/
+
+fluid_1_2 = fluid_1_2 || {};
+fluid = fluid || fluid_1_2;
+
+(function ($, fluid) {
+	//start of function to retrieve artifact data from JSON file
+	//function adds data then to the html template
+	var getArtifactData = function (that) {
+		//start of selector map
+		var selMap = [{
+			selector: that.options.selectors.artifactName,
+			id: "artName"
+		}];
+		//end of selector map
+		
+		//start of component tree
+		var artifactTree = {
+			children: [
+				{
+					ID: "artName",
+					value: "This heading is RENDERED but still static :-("
+				}
+			]
+		};
+		//end of component tree
+		
+		// calling the self renderer function
+		fluid.selfRender(that.locate("artName"), artifactTree, {cutpoints: selMap});
+	};
+	//end of function to retrieve artifact data from JSON
+	
+//	$.getJSON("../Snuffbox.json",
+//		function(jsonData){
+//          alert("JSON Data: " + jsonData.users[3].name);
+//		}
+//	);
+
+	
+    //start of creator function
+    fluid.artifact = function (container, options) {
+        var that = fluid.initView("fluid.artifact", container, options);
+		
+		// call renderer function
+		getArtifactData(that);
+
+        return that; 
+    };
+    //end of creator function
+	
+	//start of Fluid defaults
+	fluid.defaults("fluid.artifact", {
+        selectors: {
+            header: ".flc-artifact-header",
+            image: ".flc-artifact-image",
+            content: ".flc-artifact-content",
+            details: ".flc-artifact-details",
+			artifactName: ".artifact-name"
+        }
+    });
+	//end of Fluid defaults
+
+}(jQuery, fluid_1_2));
\ No newline at end of file
